Results 1 to 2 of 2

Thread: after ->15.2, cmd-line Qt apps launch FAILS:"no Qt platform plugin could be initialized" ?

  1. #1
    Join Date
    Mar 2016
    Posts
    12

    Question after ->15.2, cmd-line Qt apps launch FAILS:"no Qt platform plugin could be initialized" ?

    I upgraded a working Leap 15.1 -> 15.2
    Code:
     lsb_release -rd
      Description:    openSUSE Leap 15.2
      Release:        15.2
    I run KDE from,
    Code:
     zypper lr -u | grep KDE
      10 | KDE-Applications   | KDE-Applications            | Yes     | (r ) Yes  | Yes     | http://mirror.karneval.cz/pub/linux/opensuse/repositories/KDE:/Applications/KDE_Frameworks5_openSUSE_Leap_15.2
      11 | KDE-Extra          | KDE-Extra                   | Yes     | (r ) Yes  | Yes     | http://mirror.karneval.cz/pub/linux/opensuse/repositories/KDE:/Extra/KDE_Applications_openSUSE_Leap_15.2
      12 | KDE-Frameworks5    | KDE-Frameworks5             | Yes     | (r ) Yes  | Yes     | http://mirror.karneval.cz/pub/linux/opensuse/repositories/KDE:/Frameworks5/openSUSE_Leap_15.2
      13 | KDE-Qt5            | KDE-Qt5                     | Yes     | (r ) Yes  | Yes     | http://mirror.karneval.cz/pub/linux/opensuse/repositories/KDE:/Qt5/openSUSE_Leap_15.2
    yast2 & kate are both installed
    Code:
     rpm -qa yast2 kate
      kate-20.04.3-lp152.1.1.x86_64
      yast2-4.2.83-lp152.1.1.x86_64
    both exec/function with no error if launched from kickoff menu or desktop icon click.

    attempts to launch either from shell FAIL,
    Code:
     
    kate test.txt
      No protocol specified
      No protocol specified
      This application failed to start because no Qt platform plugin could be initialized. Reinstalling the application may fix this problem.
    
      Available platform plugins are: wayland-org.kde.kwin.qpa, eglfs, linuxfb, minimal, minimalegl, offscreen, vnc, wayland-egl, wayland, wayland-xcomposite-egl, wayland-xcomposite-glx, xcb.
    
      Aborted
    
     yast2
      No protocol specified
      No protocol specified
      This application failed to start because no Qt platform plugin could be initialized. Reinstalling the application may fix this problem.
      
      Available platform plugins are: wayland-org.kde.kwin.qpa, eglfs, linuxfb, minimal, minimalegl, offscreen, vnc, wayland-egl, wayland, wayland-xcomposite-egl, wayland-xcomposite-glx, xcb.
      
      /usr/sbin/yast2: line 468: 27000 Aborted                 $y2ccbin $Y2UI_ARGS "$@"
    What specific 'Qt plugin' needs to be (re)installed to get cmd line execs operational?

  2. #2
    Join Date
    Mar 2016
    Posts
    12

    Default Re: after ->15.2, cmd-line Qt apps launch FAILS:"no Qt platform plugin could be initialized" ?

    rm'ing & re-creating ~/.Xauthority solves the problem.

    no idea _why_ it didn't 'survive' the upgrade, and, afaict, no explicit indication that .Xauthority is, or is involved in, the problem ...

    in any case, sorted.

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •